Loading...
Searching...
No Matches
Map CBLAS => MAGMA
Utilities » Constants and converters

Convert MAGMA constants to CBLAS constants. More...

## Functions

enum CBLAS_ORDER | cblas_order_const (magma_order_t magma_const)
enum CBLAS_TRANSPOSE | cblas_trans_const (magma_trans_t magma_const)
enum CBLAS_UPLO | cblas_uplo_const (magma_uplo_t magma_const)
enum CBLAS_DIAG | cblas_diag_const (magma_diag_t magma_const)
enum CBLAS_SIDE | cblas_side_const (magma_side_t magma_const)

## Detailed Description

Convert MAGMA constants to CBLAS constants.

Available if HAVE_CBLAS was defined when MAGMA was compiled. MAGMA constants have the same value as CBLAS constants, which these routines verify by asserts. TODO: we do not currently provide inverse converters (CBLAS => MAGMA), though it is a trivial cast since the values are the same.

## Function Documentation

## cblas_order_const()

enum CBLAS_ORDER cblas_order_const | ( | magma_order_t | magma_const | ) |

Return values

  CblasRowMajor | if magma_const = MagmaRowMajor
  CblasColMajor | if magma_const = MagmaColMajor

## cblas_trans_const()

enum CBLAS_TRANSPOSE cblas_trans_const | ( | magma_trans_t | magma_const | ) |

Return values

  CblasNoTrans | if magma_const = MagmaNoTrans
  CblasTrans | if magma_const = MagmaTrans
  CblasConjTrans | if magma_const = MagmaConjTrans

## cblas_uplo_const()

enum CBLAS_UPLO cblas_uplo_const | ( | magma_uplo_t | magma_const | ) |

Return values

  CblasUpper | if magma_const = MagmaUpper
  CblasLower | if magma_const = MagmaLower

## cblas_diag_const()

enum CBLAS_DIAG cblas_diag_const | ( | magma_diag_t | magma_const | ) |

Return values

  CblasNonUnit | if magma_const = MagmaNonUnit
  CblasUnit | if magma_const = MagmaUnit

## cblas_side_const()

enum CBLAS_SIDE cblas_side_const | ( | magma_side_t | magma_const | ) |

Return values

  CblasLeft | if magma_const = MagmaLeft
  CblasRight | if magma_const = MagmaRight